fbpx

The XSharp language ILSpy5 plugin was not working with the latest stable version of ILSpy : V5.02
This has been addresses and you can get that version in the Downloads/General/Tools section.
Unzip the DLL in the same folder as the ILSpy Binaries and you're done.

If you are looking to the ILSpy V5.02 binary, go to ILSpy binaries.
Now, when running ISpy, you can set the language as XSharp.

Don't forget that the full source code of the Plugin is available in the public XSharp Repository on Github; you can also view there the current state of developement of the tool ( What is working currently, Changelog, ... )

ILSpy is the open-source .NET assembly browser and decompiler, and as shown during the xBase Future 2018, you can now use ILSpy to view and decompile .NET assembly as XSharp Language.

Comments   

#1 Horst Korak 2020-03-21 11:21
Hallo

Does it work also with ILSpy version 6.0.0.5559-preview2 ?

Horst
#2 Fabrice Foray 2020-03-22 13:16
Hi Horst,
as stated in the title, this one has been compiled against the latest stable version : 5.02
You will have to wait a bit in order to get a V6 version...
That said, you can try...but I'm afraid it will just crash at decompile time.

Fab
#3 Horst Korak 2020-03-24 10:23
Hallo Fabrice

I found a older version of ILSpy. (5.02) I thougth only the newest version (6.x) is downloadable.

Horst

You need to login to post comments on this website.